#! /usr/bin/env python
#
# dist.py
#
# EXAMPLE: make a distribution for tarfile module
#
# also handy as an example for the compatibility
# between zipfile and tarfile
#
# create a zip and a tar.gz
#
# $Id: dist.py,v 1.4 2002/03/15 20:58:17 lars Exp $

filelist = ["tarfile.py",
            "gzip22.py",
            "setup.py",
            "README",
            "tarfile-module.html",
            "tarfile-object.html",
            "tarinfo-object.html"]
            
examples = ["dist.py",
            "make_tarball.py"]

import zipfile, tarfile

version = tarfile.__version__

zip = zipfile.ZipFile("tarfile-%s.zip" % version, "w", zipfile.ZIP_DEFLATED)
tar = tarfile.TarFile("tarfile-%s.tar.gz" % version, "w", zipfile.ZIP_DEFLATED)

for p in (zip, tar):
    for f in filelist:
        p.write(f)
    for f in examples:
        p.write(f, "examples/" + f)
        
zip.close()
tar.close()