#! /usr/bin/env python
#
# make_tarball.py
#
# example: create a tarball using a MANIFEST file.
#
# Suggestion by Detlef Lannert
#
# $Id: make_tarball.py,v 1.1 2002/03/15 20:58:18 lars Exp $

import os
from tarfile import TarFile, TAR_GZIPPED

tgzname = "project-1.0.tar.gz"  # tarball name
dirname = "project-1.0"         # folder inside tarball

tf = TarFile(tgzname, "w", TAR_GZIPPED)

filelist = [s.strip() for s in open("MANIFEST").readlines()]

for filename in filelist:
    tf.write(filename, os.path.join(dirname, filename))
tf.close()
